package com.its.op.dao.mapper.its.dbms;

import com.its.op.dto.its.dbms.SessionSttsDto;
import com.its.op.dto.its.dbms.TbDbmsSttsDto;
import com.its.op.dto.its.dbms.TblSpaceSttsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DbmsSttsMapper {

    List<TbDbmsSttsDto> findAll();
    List<SessionSttsDto> findSessionUsage();
    List<TblSpaceSttsDto> findTblsUsage();
    int updateDbmsStts(@Param("stts") TbDbmsSttsDto stts);

}
